websocket-sharp 1.0.2.36581 System.Object System.IDisposable Implements the WebSocket interface. The WebSocket class provides methods and properties for two-way communication using the WebSocket protocol (RFC 6455).
- Constructor
  1.0.2.36581
  System.ParamArray
  A that contains the WebSocket URL.
  An array of that contains the WebSocket subprotocols if any.
  Initializes a new instance of the class with the specified WebSocket URL and subprotocols.
  To be added.
  is .
  is not valid WebSocket URL.
- Constructor
  1.0.2.36581
  System.ParamArray
  A that contains the WebSocket URL.
  An OnOpen event handler.
  An OnMessage event handler.
  An OnError event handler.
  An OnClose event handler.
  An array of that contains the WebSocket subprotocols if any.
  Initializes a new instance of the class with the specified WebSocket URL, OnOpen, OnMessage, OnError, OnClose event handlers and subprotocols.
  To be added.
  is .
  is not valid WebSocket URL.
- Method
  1.0.2.36581
  System.Void Closes the connection and releases all associated resources after sends a Close control frame. To be added.
- Method
  1.0.2.36581
  System.Void `` A that contains a status code indicating a reason for closure. Closes the connection and releases all associated resources after sends a Close control frame. To be added.
- Method
  1.0.2.36581
  System.Void `` A that contains a status code indicating a reason for closure. Closes the connection and releases all associated resources after sends a Close control frame. To be added.
- Method
  1.0.2.36581
  System.Void `` `` A that contains a status code indicating a reason for closure. A that contains a reason for closure. Closes the connection and releases all associated resources after sends a Close control frame. To be added.
- Method
  1.0.2.36581
  System.Void `` `` A that contains a status code indicating a reason for closure. A that contains a reason for closure. Closes the connection and releases all associated resources after sends a Close control frame. To be added.
- Method
  1.0.2.36581
  System.Void Establishes a connection. To be added.
- Method
  1.0.2.36581
  System.Void Closes the connection and releases all associated resources after sends a Close control frame. Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying.
- Property
  1.0.2.36581
  System.String Gets the extensions selected by the server. A that contains the extensions if any. By default, String.Empty. (Currently this will only ever be the String.Empty.) To be added.
- Property
  1.0.2.36581
  System.Boolean Gets a value indicating whether a connection is alive. true if the connection is alive; otherwise, false. To be added.
- Property
  1.0.2.36581
  System.Boolean Gets a value indicating whether a connection is secure. true if the connection is secure; otherwise, false. To be added.
- Event
  1.0.2.36581
  System.EventHandler<WebSocketSharp.CloseEventArgs> Occurs when the WebSocket receives a Close frame or the Close method is called. To be added.
- Event
  1.0.2.36581
  System.EventHandler<WebSocketSharp.ErrorEventArgs> Occurs when the WebSocket gets an error. To be added.
- Event
  1.0.2.36581
  System.EventHandler<WebSocketSharp.MessageEventArgs> Occurs when the WebSocket receives a data frame. To be added.
- Event
  1.0.2.36581
  System.EventHandler Occurs when the WebSocket connection has been established. To be added.
- Method
  1.0.2.36581
  System.Boolean Sends a Ping frame using the connection. true if the WebSocket receives a Pong frame in a time; otherwise, false. To be added.
- Method
  1.0.2.36581
  System.Boolean `` A that contains the message to be sent. Sends a Ping frame with a message using the connection. true if the WebSocket receives a Pong frame in a time; otherwise, false. To be added.
- Property
  1.0.2.36581
  System.String Gets the subprotocol selected by the server. A that contains the subprotocol if any. By default, String.Empty. To be added.
- Property
  1.0.2.36581
  WebSocketSharp.WsState Gets the state of the connection. One of the . By default, WsState.CONNECTING. To be added.
- Method
  1.0.2.36581
  System.Void `` An array of that contains the binary data to be sent. Sends a binary data using the connection. To be added.
- Method
  1.0.2.36581
  System.Void `` A that contains the binary data to be sent. Sends a binary data using the connection. To be added.
- Method
  1.0.2.36581
  System.Void `` A that contains the text data to be sent. Sends a text data using the connection. To be added.
- Method
  1.0.2.36581
  System.Void `` `` An array of that contains the binary data to be sent. An delegate that contains the method(s) that is called when an asynchronous operation completes. Sends a binary data asynchronously using the connection. To be added.
- Method
  1.0.2.36581
  System.Void `` `` A that contains the binary data to be sent. An delegate that contains the method(s) that is called when an asynchronous operation completes. Sends a binary data asynchronously using the connection. To be added.
- Method
  1.0.2.36581
  System.Void `` `` A that contains the text data to be sent. An delegate that contains the method(s) that is called when an asynchronous operation completes. Sends a text data asynchronously using the connection. To be added.
- Property
  1.0.2.36581
  System.Byte[] Gets the buffer that contains unsent WebSocket frames. An array of that contains unsent WebSocket frames. To be added.
- Property
  1.0.2.36581
  System.UInt32 Gets the count of unsent WebSocket frames. A that contains the count of unsent WebSocket frames. To be added.
- Property
  1.0.2.36581
  System.Uri Gets or sets the WebSocket URL. A that contains the WebSocket URL. To be added.